ALOT(1)

NAME
alot - Terminal MUA using notmuch mail

SYNOPSIS

alot [options …] [subcommand]

DESCRIPTION

Alot is a terminal-based mail user agent for the notmuch mail system. It features a modular and command prompt driven interface to provide a full MUA experience as an alternative to the Emacs mode shipped with notmuch.

OPTIONS

-r, --read-only
    open notmuch database in read-only mode

-c FILENAME, --config=FILENAME
    configuration file (default: ~/.config/alot/config)

-n FILENAME, --notmuch-config=FILENAME
    notmuch configuration file (default: see notmuch-config(1))

-C COLOURS, --colour-mode=COLOURS
    number of colours to use on the terminal; must be 1, 16 or 256 (default: configuration option colourmode or 256)

-p PATH, --mailindex-path=PATH
    path to notmuch index

-d LEVEL, --debug-level=LEVEL
    debug level; must be one of debug, info, warning or error (default: info)

-l FILENAME, --logfile=FILENAME
    log file (default: /dev/null)

-h, --help
    display help and exit

-v, --version
    output version information and exit

COMMANDS

search
    start in a search buffer using the query string provided as parameter (see notmuch-search-terms(7))

compose
    compose a new message

bufferlist
    start with only a bufferlist buffer open

taglist
    start with only a taglist buffer open

namedqueries
    start with list of named queries

pyshell
    start the interactive python shell inside alot

USAGE

The arrow keys, page-up/down, j, k and Space can be used to move the focus. Escape cancels prompts and Enter selects. Hit : at any time and type in commands to the prompt.

The interface shows one buffer at a time, you can use Tab and Shift-Tab to switch between them, close the current buffer with d and list them all with ;.

The buffer type or mode (displayed at the bottom left) determines which prompt commands are available. Usage information on any command can be listed by typing help YOURCOMMAND to the prompt. The keybindings for the current mode are listed upon pressing ?.

UNIX SIGNALS

SIGUSR1
    Refreshes the current buffer.

SIGINT
    Shuts down the user interface.

SEE ALSO

notmuch(1)

AUTHOR
Patrick Totzke

COPYRIGHT
Copyright (C) Patrick Totzke